Skip to main content
Authenticate a player and receive a signed URL to launch a specific game. Call this endpoint each time a player starts a new gaming session. Call /userAuth to authenticate a player against a specific game and receive a signed URL that launches that game in their browser. You supply the player’s ID from your system, the game they want to play, and their preferred language. iGamingAce validates the request and returns a url containing an embedded session token.

Endpoint

POST https://api.igamingace.com/userAuth
Replace https://api.igamingace.com with the base URL provided to you by iGamingAce.

Request Headers

NameValueExample
AuthorizationBearer Token (apitoken)Authorization: Bearer 4ca8890730e64aa69bd168eb8a3f374c
Acceptapplication/jsonAccept: application/json
Content-Typeapplication/jsonContent-Type: application/json

Request Parameters

ParameterDescriptionFormatExample
agentIDID of agent, Identification of Licenseestringagent01
userIDPlayer ID, Alphanumeric characters, minimum length 4, maximum length 48.string(4-48)player01
isaffiliatefalse: normal user, true: affiliate user. For affiliate users, RTP of more than 100 will be applied and its turnover will not be counted for GGR.booleanfalse
langlanguage to be used in gamestring(2)fr
gameidgame idinteger1566
lobbyUrlWhen user click Home button, redirects to this urlstringhttps://mywebsite.com/

Response

ParameterDescriptionFormatExample
codeResult codesinteger0
messageDescription of the error, this field can be empty when successstring(256)Unknown Game Id
urlgame launch URLstringhttps://game.igamingace.com/open.Game?token=testtoken

Response Example

{
  "code": 0,
  "message": "OK",
  "url": "https://game.igamingace.com/open.Game?token=testtoken"
}